import { select, json, geoPath, geoTransverseMercator, zoom, event } from "d3";
import { feature } from "topojson";
const svg = select("svg");

const width = +svg.attr('width');
const height = +svg.attr('height');

const projection = d3.geoTransverseMercator()
  .center([2.5, -38.5])
	.rotate([66, 0])
  .scale((height * 54) / 33)
  .translate([(width / 2), (height / 2)]);
const pathGenerator = geoPath().projection(projection);

const g = svg.append('g')

g.append('path')
  .attr('class', 'sphere')
  .attr('d', pathGenerator({type: 'Sphere'}));

svg.call(zoom().on('zoom', () => {
  g.attr('transform', event.transform)
}));

json('https://gist.githubusercontent.com/arrayjam/6548197/raw/15ccd279850447933260697caedacf9dbe07f963/australia.json')
  .then(data => {
    g.selectAll('#path')
      .data(data.features)
      .enter().append('path')
				.attr('class', 'country')
				.attr('d', pathGenerator)
  		.append('title')
  			.text(d => d.properties.departamento +', '+ d.properties.provincia);
  });